import PageContent from '@/components/PageContent';
import PageTitle from '@/components/PageTitle';
import { history, useParams } from '@umijs/max';
import styles from './index.less';

const HardwareController = (props) => {
  const { projectId } = useParams();

  return (
    <PageContent>
      <PageTitle>智能管控</PageTitle>

      <div className={`card-box ${styles.item}`}>工艺监控</div>
      <div
        className={`card-box ${styles.item}`}
        onClick={() =>
          history.push(`/hardware-controller/air-conditioner/${projectId}`)
        }
      >
        空调监控
      </div>
      <div
        className={`card-box ${styles.item}`}
        onClick={() => history.push(`/hardware-controller/light/${projectId}`)}
      >
        照明监控
      </div>
      <div className={`card-box ${styles.item}`}>室内定位</div>
    </PageContent>
  );
};

export default HardwareController;
