import { IWorkOrderType } from '@/pages/TaskManage/Detail/TaskList/taskList.types';
import { BaseOptionType } from 'rc-select/es/Select';

export interface IPropTypes {
  mandateList: IMandateType[];
  loading: boolean;
  dispatch: (args: { type: string; payload: object }) => void;
}

export interface IMandateType {
  Id: number;
  ProjectId: number;
  MandateType: number | BaseOptionType;
  MandateClass: number | BaseOptionType;
  ResponsiblePeople: number;
  Detail: string;
  Summary: string;
  CreateTime: string;
  Status: number | BaseOptionType;
  Note: string;
  OperationLog: string;
  OperationPeople: number;
  Records: IWorkOrderType[];
  ExtendId: string;
}
